import '../cache.dart';

class CacheUpdateFailedException<T> implements Exception {
  final Cache<T> updatedCache;
  final Object error;
  CacheUpdateFailedException(this.updatedCache, this.error);
}

class CacheCollectionUpdateFailedException<T> implements Exception {
  final List<CacheUpdateFailedException<T>> errors;
  CacheCollectionUpdateFailedException(this.errors);
}